#ifndef NANXING_TYPE_TRAIT_
#define NANXING_TYPE_TRAIT_

namespace nanxing
{
    template<typename T>
    struct remove_pointer{
        using type=T;
    };


    template<typename T>
    struct remove_pointer<T*>           //如果是指针就会匹配这个
    {
        using type=typename remove_pointer<T>::type;         //递归一直到匹配到非指针类型
    };

    template<typename T>
    using remove_pointer_t=typename remove_pointer<T>::type;
}

#endif